Bug 73915 - Does not work when installed with an umask of 077 and messes filesystem
Does not work when installed with an umask of 077 and messes filesystem
Product: Red Hat Linux
Classification: Retired
Component: perl-Filter-Simple (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Depends On:
  Show dependency treegraph
Reported: 2002-09-13 09:52 EDT by Enrico Scholz
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-11 07:31:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 09:52:17 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use

Another problem occurs when removing packages. Then orphaned directories
are remaining.

| $ rpm -qf /usr/lib/perl5/vendor_perl/5.8.0/Filter /usr/lib/perl5/vendor_perl/5.8.0/Filter/Simple.pm
| file /usr/lib/perl5/vendor_perl/5.8.0/Filter is not owned by any package
| perl-Filter-Simple-0.78-8

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. umask 077
2. make sure that perl-Filter-Simple is uninstalled completely
   (rm -rf /usr/lib/perl5/vendor_perl/5.8.0/Filter)
3. rpm -U perl-Filter-Simple-0.78-8.*
4. ls -l /usr/lib/perl5/vendor_perl/5.8.0/Filter
5. start perl script using this module
6. rpm -e perl-Filter-Simple-0.78-8

Actual Results:

| drwx------    2 root     root         4096 Sep 13 15:41 /usr/lib/perl5/vendor_perl/5.8.0/Filter

at 4; script can not find package at 5 and
still exists after 6.

Additional Information:

When adding

| for i in installarchlib vendorlib; do
| 	eval $(perl "-V:$i")
| 	dir=$(eval echo \$$i)
|       echo "%exclude %dir ${dir}"
| 	find "${RPM_BUILD_ROOT}${dir}" -type d -mindepth 1 ! -empty -print |	\
| 		sed "s@^$RPM_BUILD_ROOT@%dir @g"
| done | sort -u >> %{modname}-%{version}-filelist

to the file-finding section in the spec-file, this class of bugs can
be fixed for all perl-XXX packages.
Comment 1 Warren Togami 2005-09-11 07:31:12 EDT
This module is now provided by the main perl package.

Note You need to log in before you can comment on or make changes to this bug.